> For the complete documentation index, see [llms.txt](https://docs.guardianservice.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/available-policy-workflow-blocks/documentssourceaddon.md).

# DocumentsSourceAddOn

{% hint style="info" %}
Note: This block is used for dropdown. You can add multiple blocks to 1 grid to combine different data.
{% endhint %}

### Properties

| Block Property      | Definition                                                                                             | Example Input                                                        |
| ------------------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------- |
| type                | A block for searching VC, for grid                                                                     | **DocumentsSourceAddOn** Block (Can't be changed).                   |
| tag                 | Unique name for the logic block.                                                                       | approve\_d\_documents\_\_grid\_source                                |
| permissions         | Which entity has rights to interact at this part of the workflow.                                      | Installer.                                                           |
| defaultActive       | Shows whether this block is active at this time and whether it needs to be shown.                      | Checked or unchecked.                                                |
| dependencies        | Automatic update. The block is automatically re-rendered if any of the linked components gets updated. | Select the appropriate block from the dropdown.                      |
| Data Type           | Specify the table to request the data from.                                                            | Current options are: Verifiable Credential, DID, Approve, or Hedera. |
| Schema              | Filters the VC according to the selected scheme                                                        | iRec Application Details (1.0.0) PUBLISHED                           |
| onlyOwnDocuments    | When checked, filter out only VCs created by the user                                                  | checked or unchecked                                                 |
| onlyAssignDocuments | When checked, it filter only VCs assigned to the user                                                  | checked or unchecked                                                 |
| ViewHistory         | When checked, documents in the Grid will be displayed with status timeline                             | checked or unchecked                                                 |
| Order Field         | name of the field                                                                                      | Source                                                               |
| Order Direction     | Ascending or Descending direction of the order                                                         | ASC/DESC                                                             |

{% hint style="info" %}
Note: If no Order Field is specified, but Order Direction is specified, then Order Field will be automatically filled = createDate and data will be sorted by createDate
{% endhint %}

### Filter Properties

| Filter Property | Definition                                                 | Example Input |
| --------------- | ---------------------------------------------------------- | ------------- |
| Field           | Name of the field to filter, it can be nested using "."    | option.status |
| Type            | Filter on the basis of type (Equal, Not Equal, In, Not In) | Equal         |
| Value           | The field by which to filter Value                         | Verified      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/available-policy-workflow-blocks/documentssourceaddon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
